[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector3_double): Tvector2_single

Allow assignment of three-dimensional double precision vector to two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 301

`operator operator :=(Tvector3_double): Tvector2_single(`
`const v: Tvector3_double`
`):Tvector2_single;`

## Description

This operator allows you to use a three-dimensional vector with double precision values wherever a two-dimensional vector with single precision is expected. The third dimension is thrown away and some precision is lost because of the conversion.

Documentation generated on: Feb 26 2014